Name: gateway-rockspecs
Version: 1.1.1
Release: 2%{?dist}
Summary: Lua Dependencies for 3scale API gateway (APIcast).
# router and inspect are MIT, lua-resty is BSD, lua-resty-jwt is Apache.
License: MIT and 2-clause BSD and Apache
URL: https://github.com/3scale/apicast
BuildArch: noarch

Source0: https://luarocks.org/manifests/pintsized/lua-resty-http-0.10-0.src.rock
Source1: https://luarocks.org/manifests/kikito/router-2.1-0.src.rock
Source2: https://luarocks.org/manifests/3scale/inspect-3.1.0-1.src.rock
Source3: https://luarocks.org/manifests/skylothar/lua-resty-jwt-0.1.10-1.src.rock
Source4: https://luarocks.org/manifests/3scale/lua-resty-url-0.2.0-1.src.rock
Source5: https://luarocks.org/manifests/3scale/lua-resty-env-0.3.0-1.src.rock
Source6: licenses.xml

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: luarocks rpm-build redhat-rpm-config rpmdevtools
# Using requires so we can regenerate the manifest on installation.
Requires: luarocks

%description
RPM to bundle required Lua dependencies for AMP APIcast Gateway.

%prep
%autosetup -T -c %{name}-%{version}

%install
for source in "%{_sourcedir}"/*.src.rock; do
  luarocks install --deps-mode=none --tree %{buildroot}/usr/local "$source"
done
rm -f %{buildroot}/usr/local/lib64/luarocks/rocks/manifest
cp "%{_sourcedir}"/licenses.xml %{buildroot}/usr/local/lib64/luarocks/

%post
luarocks-admin --tree=/usr/local  make_manifest --local-tree

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/usr/local/lib64/luarocks/
/usr/local/share/lua/

%changelog
* Thu Aug 24 2017 Michal Cichra <mcichra@redhat.com>
- Add licenses.xml
* Wed Jul 26 2017 Michal Cichra <mcichra@redhat.com>
- Update dependencies to match AMP APIcast 2.1.0 ER1
* Thu Mar 23 2017 Nick Cross <ncross@redhat.com>
- Add lua-resty-jwt-0.1.9-0.src.rock
* Wed Oct 12 2016 Nick Cross <ncross@redhat.com>
-
